package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TSupervisionUnitEnergy;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.TSupervisionUnitEnergyTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 节能监察单位产品 Mapper 接口
 * @since 2020-10-29
 */
@Mapper
public interface TSupervisionUnitEnergyMapper extends BaseMapper<TSupervisionUnitEnergy> {

    //初始化产品种类下拉框
    List<String> getType(@Param("monitorId") String monitorId);

    List<TSupervisionUnitEnergy> initializeByMonitor(@Param("monitorId") String monitorId, @Param("lineNumber") String lineNumber);

    List<TSupervisionUnitEnergy> initializeByIndustry(@Param("monitorId") String monitorId);

    List<TSupervisionUnitEnergyTask> selectTaskByMonitor(@Param("query") TSupervisionUnitEnergy tSupervisionUnitEnergy);

    //获取最新监察任务列表
    List<TSupervisionUnitEnergyTask> initializeTaskByMonitor(@Param("query") TSupervisionUnitEnergy tSupervisionUnitEnergy);

    List<TSupervisionUnitEnergyTask> initializeTaskByIndustry(@Param("query") TSupervisionUnitEnergy tSupervisionUnitEnergy);

    void saveTask(@Param("task") TSupervisionUnitEnergyTask task);
}
